| Irrlicht 3D Engine |

Classes | Namespaces
IParticleSystemSceneNode.h File Reference
`#include "ISceneNode.h"`
`#include "IParticleAnimatedMeshSceneNodeEmitter.h"`
`#include "IParticleBoxEmitter.h"`
`#include "IParticleCylinderEmitter.h"`
`#include "IParticleMeshEmitter.h"`
`#include "IParticleRingEmitter.h"`
`#include "IParticleSphereEmitter.h"`
`#include "IParticleAttractionAffector.h"`
`#include "IParticleFadeOutAffector.h"`
`#include "IParticleGravityAffector.h"`
`#include "IParticleRotationAffector.h"`
`#include "dimension2d.h"`

Go to the source code of this file.

## Classes

- class irr::scene::IParticleSystemSceneNode
    A particle system scene node for creating snow, fire, exlosions, smoke... More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...